Get Contracts
curl --request GET \
--url https://api-options.sandbox.rails.xyz/contracts/markets/{market}/expirations/{expiry}/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-options.sandbox.rails.xyz/contracts/markets/{market}/expirations/{expiry}/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-options.sandbox.rails.xyz/contracts/markets/{market}/expirations/{expiry}/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"market": "BTC-USDT",
"expiryDate": "2026-07-03",
"contracts": [
{
"contractName": "BTC-3JUL26-60000-C",
"underlying": "BTC-USDT",
"strike": "60000",
"optionType": "C",
"expiryDate": "2026-07-03",
"expiryType": "WEEKLY",
"status": "ACTIVE",
"markPrice": "1677.30",
"bidPrice": "0",
"askPrice": "0",
"markIV": "0.3925",
"bidIV": "0",
"askIV": "0",
"forward": "61665.1057145",
"tickSize": "0.01",
"contractSize": "1",
"settlementType": "CASH",
"delta": "0.9666",
"gamma": "0.00008040",
"vega": "1.7499",
"theta": "-64.49",
"rho": "-0.024469"
},
{
"contractName": "BTC-3JUL26-60000-P",
"underlying": "BTC-USDT",
"strike": "60000",
"optionType": "P",
"expiryDate": "2026-07-03",
"expiryType": "WEEKLY",
"status": "ACTIVE",
"markPrice": "12.19",
"bidPrice": "0",
"askPrice": "0",
"markIV": "0.3925",
"bidIV": "0",
"askIV": "0",
"forward": "61665.1057145",
"tickSize": "0.01",
"contractSize": "1",
"settlementType": "CASH",
"delta": "-0.0334",
"gamma": "0.00008040",
"vega": "1.7499",
"theta": "-64.49",
"rho": "-0.000178"
},
{
"contractName": "BTC-3JUL26-62000-C",
"underlying": "BTC-USDT",
"strike": "62000",
"optionType": "C",
"expiryDate": "2026-07-03",
"expiryType": "WEEKLY",
"status": "ACTIVE",
"markPrice": "149.16",
"bidPrice": "0",
"askPrice": "0",
"markIV": "0.3035",
"bidIV": "0",
"askIV": "0",
"forward": "61665.1057145",
"tickSize": "0.01",
"contractSize": "1",
"settlementType": "CASH",
"delta": "0.3222",
"gamma": "0.00050170",
"vega": "8.4473",
"theta": "-240.74",
"rho": "-0.002176"
},
{
"contractName": "BTC-3JUL26-62000-P",
"underlying": "BTC-USDT",
"strike": "62000",
"optionType": "P",
"expiryDate": "2026-07-03",
"expiryType": "WEEKLY",
"status": "ACTIVE",
"markPrice": "484.05",
"bidPrice": "0",
"askPrice": "0",
"markIV": "0.3035",
"bidIV": "0",
"askIV": "0",
"forward": "61665.1057145",
"tickSize": "0.01",
"contractSize": "1",
"settlementType": "CASH",
"delta": "-0.6778",
"gamma": "0.00050170",
"vega": "8.4473",
"theta": "-240.74",
"rho": "-0.007062"
}
]
}Market Data
Get Contracts
List the contracts for a market and expiration date.
GET
/
contracts
/
markets
/
{market}
/
expirations
/
{expiry}
/
contracts
Get Contracts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Underlying market, e.g. BTC-USDT.
Expiration date, YYYY-MM-DD.
⌘I